package requester

import (
	"bytes"
	"encoding/json"
	"io"
	"log"
	"parser/database"
)

func (r *Requester) FillDatabase() {
	log.Println("Filling database")

	for _, order := range []string{"desc", "asc"} {
		for i := 1; i < 50; i++ {
			var temp database.AutoGenerated
			resp := r.getresponse(i, order)
			//log.Println(string(resp))
			data := bytes.NewReader(resp)
			dataToParse, err := io.ReadAll(data)
			err = json.Unmarshal(dataToParse, &temp)
			if err != nil {
				// if error is not nil
				// print error
				log.Println(err)
			}
			if !temp.Pagination.HasMore {
				log.Println("Has no more pages")
				break
			}

			r.D.AddNewRecords(temp)
		}
	}
	log.Println("Done")
}
